org.springframework.session.data.gemfire

## Class AbstractGemFireOperationsSessionRepository.GemFireSessionAttributes

- java.lang.Object
- - java.util.AbstractMap<java.lang.String,java.lang.Object>
  - - org.springframework.session.data.gemfire.AbstractGemFireOperationsSessionRepository.GemFireSessionAttributes

All Implemented Interfaces:
  java.io.Serializable, java.util.Map<java.lang.String,java.lang.Object>, org.apache.geode.DataSerializable, org.apache.geode.Delta

Enclosing class:
  AbstractGemFireOperationsSessionRepository

    public static class AbstractGemFireOperationsSessionRepository.GemFireSessionAttributes
    extends java.util.AbstractMap<java.lang.String,java.lang.Object>
    implements org.apache.geode.DataSerializable, org.apache.geode.Delta

The GemFireSessionAttributes class is a container for Session attributes implementing both the `DataSerializable` and `Delta` GemFire interfaces for efficient storage and distribution (replication) in GemFire. Additionally, GemFireSessionAttributes extends `AbstractMap` providing `Map`-like behavior since attributes of a Session are effectively a name to value mapping.

See Also:
  `AbstractMap`, `DataSerializable`, `DataSerializer`, `Delta`, Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface org.apache.geode.DataSerializable

`org.apache.geode.DataSerializable.Replaceable`

### Nested classes/interfaces inherited from interface java.util.Map

`java.util.Map.Entry<K,V>`

### Field Summary

Fields
`protected static boolean` `DEFAULT_ALLOW_JAVA_SERIALIZATION`

### Constructor Summary

Constructors
`protected` `GemFireSessionAttributes()`
`protected` `GemFireSessionAttributes(java.lang.Object lock)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `allowJavaSerialization()`
`java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.Object>>` `entrySet()`
`void` `from(AbstractGemFireOperationsSessionRepository.GemFireSessionAttributes sessionAttributes)`
`void` `from(org.springframework.session.Session session)`
`void` `fromData(java.io.DataInput in)`
`void` `fromDelta(java.io.DataInput in)`
`<T> T` `getAttribute(java.lang.String attributeName)`
`java.util.Set<java.lang.String>` `getAttributeNames()`
`boolean` `hasDelta()`
`void` `removeAttribute(java.lang.String attributeName)`
`void` `setAttribute(java.lang.String attributeName, java.lang.Object attributeValue)`
`void` `toData(java.io.DataOutput out)`
`void` `toDelta(java.io.DataOutput out)`
`java.lang.String` `toString()`

### Methods inherited from class java.util.AbstractMap

`clear, clone, containsKey, containsValue, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Field Detail

#### DEFAULT_ALLOW_JAVA_SERIALIZATION

    protected static final boolean DEFAULT_ALLOW_JAVA_SERIALIZATION

See Also:
  Constant Field Values

### Constructor Detail

#### GemFireSessionAttributes

    protected GemFireSessionAttributes()

#### GemFireSessionAttributes

    protected GemFireSessionAttributes(java.lang.Object lock)

### Method Detail

#### setAttribute

    public void setAttribute(java.lang.String attributeName,
                             java.lang.Object attributeValue)

#### removeAttribute

    public void removeAttribute(java.lang.String attributeName)

#### getAttribute

    public <T> T getAttribute(java.lang.String attributeName)

#### getAttributeNames

    public java.util.Set<java.lang.String> getAttributeNames()

#### allowJavaSerialization

    protected boolean allowJavaSerialization()

#### entrySet

    public java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.Object>> entrySet()

Specified by:
  `entrySet` in interface `java.util.Map<java.lang.String,java.lang.Object>`
Specified by:
  `entrySet` in class `java.util.AbstractMap<java.lang.String,java.lang.Object>`

#### from

    public void from(org.springframework.session.Session session)

#### from

    public void from(AbstractGemFireOperationsSessionRepository.GemFireSessionAttributes sessionAttributes)

#### toData

    public void toData(java.io.DataOutput out)
                throws java.io.IOException

Specified by:
  `toData` in interface `org.apache.geode.DataSerializable`
Throws:
  `java.io.IOException`

#### fromData

    public void fromData(java.io.DataInput in)
                  throws java.io.IOException,
                         java.lang.ClassNotFoundException

Specified by:
  `fromData` in interface `org.apache.geode.DataSerializable`
Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### hasDelta

    public boolean hasDelta()

Specified by:
  `hasDelta` in interface `org.apache.geode.Delta`

#### toDelta

    public void toDelta(java.io.DataOutput out)
                 throws java.io.IOException

Specified by:
  `toDelta` in interface `org.apache.geode.Delta`
Throws:
  `java.io.IOException`

#### fromDelta

    public void fromDelta(java.io.DataInput in)
                   throws org.apache.geode.InvalidDeltaException,
                          java.io.IOException

Specified by:
  `fromDelta` in interface `org.apache.geode.Delta`
Throws:
  `org.apache.geode.InvalidDeltaException`
  `java.io.IOException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.util.AbstractMap<java.lang.String,java.lang.Object>`